Subject: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: Eli Zaretskii <[email-masked]>
Date: Mon, 15 Jan 2024 22:27:44 +0200

> Date: Mon, 15 Jan 2024 22:17:56 +0200
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 15/01/2024 20:52, Eli Zaretskii wrote:
> 
> >> They are not catastrophic ones, however, and as such they won't be
> >> critical in day-to-day usage (prompting fewer users to bother with
> >> bug reports).
> > 
> > Once again: we should try the simpler, light-weight solution before we
> > go to more complex ones.
> 
> A change in inheritance chain is a pretty heavy/complex solution in my book.

Stefan's addition doesn't change the inheritance chain.

> >> Nor we are quick to change our mind based on such feedback, as bug#61177
> >> and bug#61177 demonstrate.
> > 
> > We are as quick as possible.  You are welcome to step up as an Emacs
> > maintainer and improve these aspects if you can.
> 
> I didn't mean that the speed was the issue here. The bugs above are 
> closed as "wontfix", rather than remaining in-progress.

Same answer.

> > I think such a feature is unjustified by what we know about the
> > problem.  If we don't know enough, we will learn soon enough, and will
> > then be in a position to make informed decisions, unlike now that we
> > are arguing about issues we don't yet have enough experience about to
> > be able to discuss usefully and effectively.
> 
> It doesn't seem to me like that experiment is easy to reverse.

If there are good reasons, we will.

> And I'm not sure what is unclear about the problem, to require 
> additional data.

Additional downsides, if any.  If there are none, then we already have
a solution that I consider satisfactory.